"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const expression_1 = require("./expression");
function buildConditionExpression(params) {
    const nameValues = {
        names: {},
        values: {},
    };
    const hashKeyNameVar = expression_1.formatExpressionAttributeNameKeys(params.hashKey.name, nameValues.names);
    const hashKeyValueVar = expression_1.setExpressionNameValue(nameValues.values, params.hashKey.name, params.hashKey.value);
    let expression = `${hashKeyNameVar} ${params.operation} ${hashKeyValueVar}`;
    if (params.rangeKey) {
        const rangeKeyNameVar = expression_1.formatExpressionAttributeNameKeys(params.rangeKey.name, nameValues.names);
        const rangeKeyValueVar = expression_1.setExpressionNameValue(nameValues.values, params.rangeKey.name, params.rangeKey.value);
        expression += ` AND ${rangeKeyNameVar} ${params.operation} ${rangeKeyValueVar}`;
    }
    return {
        expression,
        names: nameValues.names,
        values: nameValues.values,
    };
}
exports.buildConditionExpression = buildConditionExpression;
