"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function formatExpressionAttributeValueKey(name) {
    return ':' + name.trim().replace(/[\s\.\[\]]/g, '__');
}
exports.formatExpressionAttributeValueKey = formatExpressionAttributeValueKey;
function formatExpressionAttributeNameKeys(name, expressionNames) {
    const keys = name.split(/\./g).map(item => {
        const key = '#' + item.trim().replace(/[\s\[\]]/g, '__');
        expressionNames[key] = item;
        return key;
    });
    return keys.join('.');
}
exports.formatExpressionAttributeNameKeys = formatExpressionAttributeNameKeys;
function setExpressionNameValue(values, name, value) {
    const varName = formatExpressionAttributeValueKey(name);
    values[varName] = value;
    return varName;
}
exports.setExpressionNameValue = setExpressionNameValue;
function buildProjectionExpression(attributes, names) {
    names = names || {};
    const attributeNames = [];
    for (const attribute of attributes) {
        attributeNames.push(formatExpressionAttributeNameKeys(attribute, names));
    }
    const projection = {
        expression: attributeNames.join(','),
        names,
    };
    return projection;
}
exports.buildProjectionExpression = buildProjectionExpression;
