import DynamoDB = require('aws-sdk/clients/dynamodb');
import { Key } from './key';
import { UpdateExpressionParams } from './update-expression';
export interface GetItemParams {
    tableName: string;
    key: Key;
    attributes?: string[];
}
export declare function getItemInput(params: GetItemParams): DynamoDB.DocumentClient.GetItemInput;
export interface BatchGetItemParams {
    tableName: string;
    keys: Key[];
    attributes?: string[];
}
export declare function batchGetItemInput(params: BatchGetItemParams): DynamoDB.DocumentClient.BatchGetItemInput;
export interface DeleteItemParams {
    tableName: string;
    key: {
        [key: string]: string | number;
    };
}
export declare function deleteItemInput(params: DeleteItemParams): DynamoDB.DocumentClient.DeleteItemInput;
export interface PutItemParams {
    tableName: string;
    item: {
        [key: string]: any;
    };
}
export declare function putItemInput(params: PutItemParams): DynamoDB.DocumentClient.PutItemInput;
export interface CreateItemParams {
    tableName: string;
    item: {
        [key: string]: any;
    };
    hashKeyName: string;
    rangeKeyName?: string;
}
export declare function createItemInput(params: CreateItemParams): DynamoDB.DocumentClient.PutItemInput;
export interface UpdateItemParams extends UpdateExpressionParams {
    tableName: string;
    key: Key;
    hashKeyName: string;
}
export declare function updateItemInput(params: UpdateItemParams): DynamoDB.DocumentClient.UpdateItemInput;
