"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("./helpers");
function getHashKey(key, keyName) {
    if (key === undefined || key === null) {
        throw new Error(`Model key cannot by undefined or null`);
    }
    if (helpers_1.isStringOrNumber(key)) {
        return key;
    }
    if (typeof key !== 'object') {
        throw new Error(`Invalid key: ${key}`);
    }
    const hashKey = key[keyName];
    if (!helpers_1.isStringOrNumber(hashKey)) {
        throw new Error(`Key doesn't contain a valid hash key`);
    }
    return hashKey;
}
exports.getHashKey = getHashKey;
function getRangeKey(key, keyName) {
    if (typeof key !== 'object') {
        throw new Error(`Invalid id: the id must contain a range key`);
    }
    const rangeKey = key[keyName];
    if (!helpers_1.isStringOrNumber(rangeKey)) {
        throw new Error(`Key doesn't contain a valid range key`);
    }
    return rangeKey;
}
exports.getRangeKey = getRangeKey;
function getKeyFromItem(item, hashKeyName, rangeKeyName) {
    const hashKey = item[hashKeyName];
    if (!helpers_1.isStringOrNumber(hashKey)) {
        throw new Error(`Invalid item: no hash key`);
    }
    const key = {};
    key[hashKeyName] = hashKey;
    if (!rangeKeyName) {
        return key;
    }
    const rangeKey = item[rangeKeyName];
    if (!helpers_1.isStringOrNumber(rangeKey)) {
        throw new Error(`Invalid item: no range key`);
    }
    key[rangeKeyName] = rangeKey;
    return key;
}
exports.getKeyFromItem = getKeyFromItem;
