import DynamoDB = require('aws-sdk/clients/dynamodb');
export declare function queryInput(params: QueryParams): DynamoDB.DocumentClient.QueryInput;
export interface QueryParams {
    tableName: string;
    hashKey: QueryHashKey;
    rangeKey?: QueryRangeKey;
    index?: string;
    select?: 'COUNT' | 'ALL_PROJECTED_ATTRIBUTES' | 'ALL_ATTRIBUTES' | 'SPECIFIC_ATTRIBUTES';
    attributes?: string[];
    limit?: number;
    consistentRead?: boolean;
    startKey?: {
        [key: string]: any;
    };
    order?: 'ASC' | 'DESC';
}
export declare type QueryRangeKey = {
    name: string;
    operation: '=' | '<>' | '<' | '<=' | '>' | '>=' | 'IN' | 'BETWEEN' | 'begins_with';
    value: number | string | string[] | number[];
};
export declare type QueryHashKey = {
    name: string;
    value: string | number;
};
