import DynamoDB = require('aws-sdk/clients/dynamodb');
export declare function createTableInput(table: TableParams): DynamoDB.DocumentClient.CreateTableInput;
export declare function formatIndex(index: IndexParams): DynamoDB.DocumentClient.GlobalSecondaryIndex | DynamoDB.DocumentClient.LocalSecondaryIndex;
export interface IndexParams {
    name: string;
    type: 'LOCAL' | 'GLOBAL';
    hashKey: Key;
    rangeKey?: Key;
    projection?: IndexProjection;
    throughput?: ProvisionedThroughput;
}
export declare type IndexProjection = {
    include?: string[];
    type: 'KEYS_ONLY' | 'INCLUDE' | 'ALL';
};
export declare type ProvisionedThroughput = {
    read: number;
    write: number;
};
export declare type Key = {
    name: string;
    type: 'S' | 'N';
};
export interface TableParams {
    name: string;
    hashKey: Key;
    rangeKey?: Key;
    indexes?: IndexParams[];
    throughput?: ProvisionedThroughput;
}
