import { ExpressionNames, ExpressionValues } from "./expression";
export declare function buildUpdateExpression(params: UpdateExpressionParams): UpdateExpressionInfo;
export declare function buildExpressionValue(name: string, names: ExpressionNames, values: ExpressionValues, set: UpdateExpressionSet, valueNameSuffix?: string): string;
export declare type UpdateExpressionInfo = {
    expression: string;
    names: {
        [key: string]: string;
    };
    values: {
        [key: string]: any;
    };
};
export interface UpdateExpressionParams {
    set?: {
        [key: string]: UpdateExpressionSet;
    };
    remove?: string[];
    delete?: {
        [key: string]: any[];
    };
}
export declare type UpdateExpressionSet = {
    value?: any;
    path?: string;
    if_not_exists?: {
        path: string;
        value: any;
    };
    list_append?: {
        left: UpdateExpressionSet;
        right: UpdateExpressionSet;
    };
    math?: {
        operator: '-' | '+';
        left: UpdateExpressionSet;
        right: UpdateExpressionSet;
    };
};
